Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jinfonet.interfaces.query
Interface RecordSecurity

    public interface RecordSecurity

Each user's security info.

Method Summary
`RoleInfo` | `addRoleSecu(java.lang.String roleName, SecurityFilterInfo secFilter)`
`UserInfo` | `addUser(java.lang.String user)`
`UserInfo` | `addUserRole(java.lang.String user, java.lang.String Role)`
`UserInfo` | `addUserSecu(java.lang.String user, SecurityFilterInfo secFilter)`
`java.util.Vector` | `getAdmin()` return all the user which have not SecurityFilterInfo.
`RoleInfo` | `getRoleInfo(java.lang.String roleName)`
`java.util.Vector` | `getSecuByRole(java.lang.String roleName)` Vector of SecurityFilterInfo which the role have
`java.util.Vector` | `getSecuByUser(java.lang.String userName)` Vector of SecurityFilterInfo which the user have
`UserInfo` | `getUserInfo(java.lang.String userName)`
`boolean` | `isAdmin(java.lang.String user)` if have not SecurityFilterInfo, is Admin

Method Detail

### addUserSecu

    UserInfo addUserSecu(java.lang.String user,
                         SecurityFilterInfo secFilter)

### addUser

    UserInfo addUser(java.lang.String user)

### addUserRole

    UserInfo addUserRole(java.lang.String user,
                         java.lang.String Role)

### addRoleSecu

    RoleInfo addRoleSecu(java.lang.String roleName,
                         SecurityFilterInfo secFilter)

### getSecuByUser

    java.util.Vector getSecuByUser(java.lang.String userName)

  Vector of SecurityFilterInfo which the user have

### getSecuByRole

    java.util.Vector getSecuByRole(java.lang.String roleName)

  Vector of SecurityFilterInfo which the role have

### getUserInfo

    UserInfo getUserInfo(java.lang.String userName)

### getRoleInfo

    RoleInfo getRoleInfo(java.lang.String roleName)

### isAdmin

    boolean isAdmin(java.lang.String user)

  if have not SecurityFilterInfo, is Admin

### getAdmin

    java.util.Vector getAdmin()

  return all the user which have not SecurityFilterInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD